--- 
vendor: "ESRI"
id: "0"
title: "Buildings"
properties: 
  OBJECTID: 
    type: "integer"
    esriType: "esriFieldTypeOID"
  Shape: 
    format: "geometry-polygon"
    esriType: "esriFieldTypeGeometry"
  BLDGNAME: 
    type: "string"
    esriLength: 254
    esriType: "esriFieldTypeString"
  BLDGALTNAME: 
    type: "string"
    esriLength: 254
    esriType: "esriFieldTypeString"
  MAPLABEL: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  BLDGSTATUS: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  BLDGCODE: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  BLDGTYPE: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  FACOWNER: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  FACOCCUPANT: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  FACMAINTAIN: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  FACUSE: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  SEASONAL: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  SEASDESC: 
    type: "string"
    esriLength: 1073741822
    esriType: "esriFieldTypeString"
  ISEXTANT: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  POLYGONTYPE: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  PUBLICDISPLAY: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  DATAACCESS: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  UNITCODE: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  UNITNAME: 
    type: "string"
    esriLength: 254
    esriType: "esriFieldTypeString"
  GROUPCODE: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  GROUPNAME: 
    type: "string"
    esriLength: 254
    esriType: "esriFieldTypeString"
  REGIONCODE: 
    type: "string"
    esriLength: 4
    esriType: "esriFieldTypeString"
  CREATEDATE: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  EDITDATE: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  MAPMETHOD: 
    type: "string"
    esriLength: 254
    esriType: "esriFieldTypeString"
  MAPSOURCE: 
    type: "string"
    esriLength: 254
    esriType: "esriFieldTypeString"
  SOURCEDATE: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  XYACCURACY: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  FACLOCID: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  FACASSETID: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  CRID: 
    type: "string"
    esriLength: 38
    esriType: "esriFieldTypeString"
  ASMISID: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  CLIID: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  LCSID: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  FIREBLDGID: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  PARKBLDGID: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  FEATUREID: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  GEOMETRYID: 
    type: "string"
    esriLength: 38
    esriType: "esriFieldTypeString"
  NOTES: 
    type: "string"
    esriLength: 1073741822
    esriType: "esriFieldTypeString"
  StagingTable: 
    type: "string"
    esriLength: 254
    esriType: "esriFieldTypeString"
  Shape_Length: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  Shape_Area: 
    type: "number"
    esriType: "esriFieldTypeDouble"
type: "object"
$schema: "https://json-schema.org/draft/2020-12/schema"
$id: "https://mapservices.nps.gov/arcgis/rest/services/NationalDatasets/NPS_Public_Buildings/OGCFeatureServer/collections/0/queryables"